Docs
API reference

Events

Download spec

List events

GET
/events

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from Settings → Developers → API keys.

Query Parameters

cursor?string

Continue from nextCursor returned by the previous request. Omit to start at the beginning.

Length0 <= length <= 32
limit?integer
Range1 <= value <= 100

Response Body

Success. Writes without read permission return an ID and revision only.

application/json
  1. response
events*array<>
nextCursor*string
Example Request
curl -X GET 'https://app.italic.com/api/v2/events'
Example Response
{  "events": [    {      "id": 0,      "type": "recording.created",      "recordingId": "string",      "revision": 0,      "createdAt": 0    }  ],  "nextCursor": "string"}